Bug 123075 - snd-via82xx module requires extra parameters for sound
snd-via82xx module requires extra parameters for sound
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-11 21:19 EDT by Michal Jaegermann
Modified: 2015-01-04 17:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:09:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2004-05-11 21:19:46 EDT
Description of problem:

With a sound configured during an installation I could not get
any sound at all no matter what until I noticed the following
in log files:

via82xx: Assuming DXS channels with 48k fixed sample rate.
         Please try dxs_support=1 or dxs_support=4 option
         and report if it works on your machine.

Indeed it does.  What more interesting both

options snd-via82xx dxs_support=4

and

options snd-via82xx dxs_support=1

in /etc/modprobe.conf seem to work equally well even if the next
message in logs is invariably:

codec_read: codec 0 is not valid [0xfe0000]
last message repeated 3 times

SK8V, ASUSTeK Computer Inc., Opteron board with
...  +-11.5  VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio
Controller
...  +-11.5  1106:3059

00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
	Subsystem: Asustek Computer, Inc.: Unknown device 80f3
	Flags: medium devsel, IRQ 3
	I/O ports at c800
	Capabilities: [c0] Power Management version 2

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358
Comment 1 Dave Jones 2004-12-08 01:39:39 EST
any improvement in 2.6.9 update ?
Comment 2 Michal Jaegermann 2004-12-09 15:36:55 EST
> any improvement in 2.6.9 update ?

This particular test machine does not have speakers hooked up
permanently, and is a bit of headache to do that with what I have
on hands, so I did not try sound on it for quite a while.

While testing with 2.6.9-1.1020_FC4 I still see

via82xx: Assuming DXS channels with 48k fixed sample rate.
         Please try dxs_support=1 or dxs_support=4 option
         and report if it works on your machine.
ACPI: PCI interrupt 0000:00:11.5[C] -> GSI 22 (level, low) -> IRQ 209
PCI: Setting latency timer of device 0000:00:11.5 to 64
codec_read: codec 0 is not valid [0xfe0000]
codec_read: codec 0 is not valid [0xfe0000]
codec_read: codec 0 is not valid [0xfe0000]
codec_read: codec 0 is not valid [0xfe0000]

if 'dxs_support=1' or 'dxs_support=4' is not defined in options.
If those are defined then the first three lines disappear and
the rest is exactly the same.

The big difference is that in all three situation a sound playing
is the same.  The other big difference is that no matter what
I am doing with mixers I have an output only on the right channel.
Speakers are ok and when plugged directly to a socket on a CD player
they have a signal on both channels.

At the same time I was playing with sound the following showed up
in logs:

hald[2403]: Timed out waiting for hotplug event 354. Rebasing to 359

Could be a coincidence but a timestamp is exactly the same as
on nearby sound related messages.
Comment 3 Dave Jones 2005-04-16 01:09:21 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.